UbuntuUpdates.org

Package "libbsd"

Name: libbsd

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • utility functions from BSD systems - development files
  • utility functions from BSD systems - shared library

Latest version: 0.9.1-2ubuntu0.1
Release: disco (19.04)
Level: security
Repository: main

Links

Save this URL for the latest version of "libbsd": https://www.ubuntuupdates.org/libbsd



Other versions of "libbsd" in Disco

Repository Area Version
base main 0.9.1-2
updates main 0.9.1-2ubuntu0.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 0.9.1-2ubuntu0.1 2020-01-20 16:06:25 UTC

  libbsd (0.9.1-2ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds
    - debian/patches/CVE-2019-20367.patch: make sure that there is
      a bounded comparison in src/nlist.c.
    - CVE-2019-20367

 -- <email address hidden> (Leonidas S. Barbosa) Thu, 16 Jan 2020 15:45:47 -0300

CVE-2019-20367 nlist.c in libbsd before 0.10.0 has an out-of-bounds read during a comparison for a symbol name from the string table (strtab).



About   -   Send Feedback to @ubuntu_updates